@import url(https://fonts.bunny.net/css?family=alef:400);

:root {
  --primary-bg-color: #14a356;
  --primary-color: #0dd947;
  --bevel-radius: 25px;
  --special-grey: rgba(90,90,90,0.1);
  /* font-family: "Noto Sans", sans-serif; */
  font-family: 'Alef', sans-serif;
  font-optical-sizing: auto;
  font-weight: 1.0;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
}

h1,h2{
    text-align: center;

}
h1{
  font-weight: 800;
  font-style: bold;
}
a{
	color:white;
}
top-nav a{
font-weight: 300;
font-style: bold;
margin: 32px;
}

a.big-link{
	font-size: 32px;
	font-weight: 300;
}

p{
font-weight: 300;
}
body{
  background-image: url("/static/img/background.jpg"); background-size: 100%;
  color: white;
}
label{
font-weight: 500;
font-size: 16px;
}

.bevel-box{
background-color: var(--primary-bg-color);
border: 2px solid;
border-radius: var(--bevel-radius);
padding: 16px;
}
.bevel-box img{
max-width: 33%;
}
.top-nav{
text-align: center;
}
.flex-container{
       display: flex;
       flex-direction: column;
       gap: 24px;
}
.flex-container-h{
	display: flex;
       flex-direction: row;
       gap: 24px;
       justify-content: space-evenly;
}
.flex-item{
}
div{
    margin-left: 16px;
    margin-right: 16px;
}

.product-container{
    display: flex;
    flex-direction: row;
     gap: 24px;
}
.product-box{

}
.search-container{
    display: flex;
    justify-content: center; /* Centers horizontally (Main Axis) */
    align-items: center;     /* Centers vertically (Cross Axis) */
    height: 80px;
}
.product-search{
    width: 90%;

    background-color: var(--background-color);
    border: 2px solid;
    border-radius: var(--bevel-radius);
    height: 75%;
    color: white;
    font-size: 32px;
    text-align: center;
    font-weight: bold;
}
input[type=text]{
border-radius: 4px;

}
.form-grid{
	width: 75%;
	display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 8px;
}
.form-grid input[type=text]{
 grid-column: 3
}
.form-grid input[type=submit]{
	grid-column: 2;
	width: 25%;

}
.form-grid label{
	grid-column: 2;
}
.form-grid .form-error{
  color: rgb(168, 76, 50);
  background-color: var(--special-grey);
  grid-column: 3;
}
#product-search{
  width: 50%;
  height: 50%;
  background-color: var(--special-grey);
  text-align: center;
  color: white;
  font-size: large;
}
div.egg-crate{
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 1em;
}
.egg-crate h2:hover {
  opacity: 0.7;
  cursor: pointer;
}
